bugÉtoilé - Bugs: bug #9419, OuterSpace error

 
 
Show feedback again

You are not allowed to post comments on this tracker with your current authentification level.

bug #9419: OuterSpace error

Submitted by:  Nate Atkinson <natkinson>
Submitted on:  Fri 29 Jun 2007 10:25:32 PM UTC  
 
Category: IconKitSeverity: 3 - Normal
Priority: 5 - NormalStatus: Need Info
Privacy: PublicAssigned to: Quentin Mathé <qmathe>
Open/Closed: OpenOperating System: None

Tue 10 Jul 2007 12:04:43 PM UTC, comment #3:

When doing a test yesterday evening, I also experienced this bug. The problem is caused by a non-working [NSBundle -bundleWithIdentifier:] method, which is used somewhere in IconKit. In another place in IconKit, this method is referred to as non-working in GNUstep. I assume the author used a SVN version of GNUstep where it already works. Until this is in stable, the clean solution is probably to replace the following code:

with something like this:

(This is pseudocode. The GNUSTEP_VERSION_BIG_ENOUGH needs to be replaced by some other tricks. I used this in Grr at some place to warn users not to use vulnerable versions of NSCalendarDate, just grep for it.)

Guenther Noack <guenther>
Project Member
Sat 30 Jun 2007 03:39:44 AM UTC, comment #2:

It is a little bit odd because you have an installed IconKit,
but one of the resources is missing.
You should have IconKit installed under
GNUstep/Local/Library/Frameworks/IconKit.framework/
And what you are missing is
IconKit.framework/Resources/ExtensionMappinp.plist

Could you check it to see whether you have an incomplete installation ?

Yen-Ju Chen <yjchen>
Project Member
Fri 29 Jun 2007 10:41:13 PM UTC, comment #1:

Updating to the newest version of GNUstep did no good. Here's also the output to the terminal after doing "openapp OuterSpace":

2007-06-02 00:41:13.599 OuterSpace[10002] IKIconProvider.m:119 Assertion failed in IKIconProvider(instance), method _loadSystemIconMappingList:. <IKIconProvid er: 0x835f128> -loadMappingList: parameter must not be nil.
2007-06-02 00:41:13.914 OuterSpace[10002] File NSView.m: 442. In [GSBackendWindo wDecorationView -initWithFrame:] given negative height
2007-06-02 00:41:13.914 OuterSpace[10002] File NSView.m: 442. In [NSView -initWi thFrame:] given negative height
2007-06-02 00:41:13.914 OuterSpace[10002] File NSView.m: 1024. In [NSView -setFr ame:] given negative height
2007-06-02 00:41:13.915 OuterSpace[10002] File NSView.m: 1024. In [GSBackendWind owDecorationView -setFrame:] given negative height
2007-06-02 00:41:20.866 OuterSpace[10002] File NSView.m: 442. In [GSBackendWindo wDecorationView -initWithFrame:] given negative height
2007-06-02 00:41:20.866 OuterSpace[10002] File NSView.m: 442. In [NSView -initWi thFrame:] given negative height
2007-06-02 00:41:20.866 OuterSpace[10002] File NSView.m: 1024. In [NSView -setFr ame:] given negative height
2007-06-02 00:41:20.867 OuterSpace[10002] File NSView.m: 1024. In [GSBackendWind owDecorationView -setFrame:] given negative height
recursion encountered handling uncaught exception
Aborted

Nate Atkinson <natkinson>
Fri 29 Jun 2007 10:25:32 PM UTC, original submission:

Hi,

When I start etoile_system OuterSpace.app crashes on startup. The follow error message is displayed:

NSInternalInconsistencyException: IKIconProvider.m:119 Assertion failed in IKIconProvider(instance), method _loadSystemIconMappingList:. <IKIconProvider: 0x835de60> -loadMappingList: parameter must not be nil.

This is using Étoilé stable, downloaded from the subversion repository 28/6/2007 at around 20:00 GMT.

The follow GNUstep libraries are used:
gnustep-make Version 2.0.0
gnustep-base Version 1.14.0
gnustep-gui Version 0.12.0
gnustep-back Version 0.12.0

gcc version is as follows:
gcc version 4.1.2 20060928 (prerelease) (Ubuntu 4.1.1-13ubuntu5)
As provided in Ubuntu 6.10.

I have just noticed that I have a slightly out of date version of GNUstep installed-- I used the 0.18.0 startup distribution, while it seems 0.18.1 has just been released. I'm downloading it now and will report if it fixes the problem.

If there is any more information I can give to help track down the problem, I'm at your disposal.

Thanks.

Nate Atkinson <natkinson>

 

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by qmathe (Updated the item)
  • -unavailable- added by yjchen (Posted a comment)
  • -unavailable- added by natkinson (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can click here to add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    Follow 3 latest changes.

    Date Changed By Updated Field Previous Value => Replaced By
    Fri 29 Oct 2010 06:07:54 PM UTCqmatheCategorySystem Applications & Services (other)=>IconKit
      Assigned toNone=>qmathe
    Sat 30 Jun 2007 03:39:44 AM UTCyjchenStatusNone=>Need Info
    Show feedback again

    Back to the top


    Powered by Savane 3.1-cleanup